<?php
/**
 * @extension  mod_last_weblinks
 * @copyright   Copyright (C) 2016 ConseilGouz. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * 24/09/2017: handle language to filter weblinks
 */

defined('_JEXEC') or die;

require_once JPATH_SITE . '/components/com_content/helpers/route.php';

JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_content/models', 'ContentModel');

abstract class ModLastWeblinksHelper
{
	/**
	 * Get a list of last weblinks
	 *
	 * @param   \Joomla\Registry\Registry  &$params  object holding the models parameters
	 *
	 * @return mixed
	 */
	public static function getWebLinks($params) {
		$app = JFactory::getApplication();
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->select('u.*,c.alias as catalias')
			->from('#__weblinks AS u')
			->join('INNER','#__categories as c ON c.id = u.catid ')
			->where('u.state = 1 AND (u.language = "*" OR u.language like "'.$app->getLanguage()->getTag().'")')
			->order('u.created desc')
			->setLimit($params->get('count','5'))
			;
		$db->setQuery($query);
		$items= $db->loadObjectList();
		if ($items)
		{
			foreach ($items as $item)
			{
				$item->link	= JRoute::_('index.php?option=com_weblinks&task=weblink.go&catid=' . $item->catid . ':'.$item->catalias.'&id=' . $item->id.':'.$item->alias);
				$result[] = $item;
			}
			return $result;
		}

		return false;
		}


}
